List pending join requests (admin only)
GET
/team/join-requests
const url = 'https://example.com/api/team/join-requests';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/team/join-requests \ --header 'Authorization: Bearer <token>'Users with multiple billing accounts must pass billingAccountId explicitly.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” billingAccountId
string format: uuid
Responses
Section titled “ Responses ”Pending requests
Media type application/json
object
requests
required
Array<object>
object
id
required
string format: uuid
user_id
string format: uuid
email
string format: email
status
required
string
created_at
string format: date-time
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Forbidden
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
Multiple billing accounts; pass billingAccountId.